Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# log4cplus::BasicConfigurator Class Reference

Use this class to quickly configure the package. More...

`#include <configurator.h>`

Inheritance diagram for log4cplus::BasicConfigurator:

[legend]
Collaboration diagram for log4cplus::BasicConfigurator:

[legend]
List of all members.

## Public Member Functions
| BasicConfigurator (Hierarchy &h=Logger::getDefaultHierarchy())
virtual | ~BasicConfigurator ()
## Static Public Member Functions
void | doConfigure (Hierarchy &h=Logger::getDefaultHierarchy())
| This method eliminates the need to create a temporary `BasicConfigurator` object to configure log4cplus.

## Detailed Description

Use this class to quickly configure the package.

For file based configuration see PropertyConfigurator.

Definition at line 253 of file configurator.h.

## Constructor & Destructor Documentation

log4cplus::BasicConfigurator::BasicConfigurator | ( | Hierarchy & | h = Logger::getDefaultHierarchy() | ) |

virtual log4cplus::BasicConfigurator::~BasicConfigurator | ( |  | ) | `[virtual]`

## Member Function Documentation

void log4cplus::BasicConfigurator::doConfigure | ( | Hierarchy & | h = Logger::getDefaultHierarchy() | ) | `[static]`

| This method eliminates the need to create a temporary `BasicConfigurator` object to configure log4cplus. It is equivalent to the following: `BasicConfigurator config(); config.configure();`

The documentation for this class was generated from the following file:

- configurator.h